Subject: Re: [PATCH] dst: call cond_resched() in dst_gc_task()

From: Andrew Morton <[email-masked]>
Date: Mon, 8 Feb 2010 22:35:40 -0800

On Tue, 09 Feb 2010 07:06:38 +0100 Eric Dumazet <[email-masked]> wrote:

> After this patch, I believe that scheduler is allowed to migrate
> dst_gc_task() to an idle cpu.

No, keventd threads are each pinned to a single CPU (kthread_bind() in
start_workqueue_thread()), so dst_gc_task() gets run on the CPU which
ran schedule_delayed_work() and no other.